<?php
namespace Teknisa\FAI\Modules\Apuracao\Controllers;

use Zeedhi\Framework\DTO;
use Teknisa\GER\Utilities\Environment;

class FAI04300AcompanhamentoFaturacao extends \Teknisa\GER\Controllers\TeknisaCrud {
    
    protected $parameterBag;
    protected $parameterBagColumns;
    protected $dataSourceManager;

    protected $crudService;
    protected $environment;
    
    public function __construct($crudService ,$parameterBag ,$environment) {

        $this->crudService  = $crudService;
        $this->parameterBag = $parameterBag;
        $this->environment  = $environment;

    }
    
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
      
        $this->dataSourceName = ltrim($request->getRoutePath(),"/");
        $this->parameterBagColumns = array("DTINIAPUINI", "DTINIAPUFIN", "CDFILIAL", "CLIENPRIN", "DTFINAPUINI", "DTFINAPUFIN","INTERVALOINI","INTERVALOFIM", "CDOPERADOR", "CDGRUPFILI");
        
        parent::find($request, $response);
        
    }
    
}